summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/nucleo/nucleo-0.7.5.ebuild')
-rw-r--r--dev-libs/nucleo/nucleo-0.7.5.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-libs/nucleo/nucleo-0.7.5.ebuild b/dev-libs/nucleo/nucleo-0.7.5.ebuild
new file mode 100644
index 0000000..9ecfe32
--- /dev/null
+++ b/dev-libs/nucleo/nucleo-0.7.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION=""
+HOMEPAGE=""
+SRC_URI="http://insitu.lri.fr/metisse/download/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND=""
+RDEPEND=""
+
+src_compile() {
+ econf \
+ --without-freetype2 \
+ --without-dns-sd \
+ --without-expat \
+ --without-gnutls \
+ --without-ffmpeg \
+ --without-qt \
+ --without-gd \
+ --without-opencv \
+ --without-vnc \
+ $(use_with test tests) \
+ || die "configure failed"
+
+ emake || die "make failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+}